//===========================================================================
//
//    			File: IE.rul                                           	
//                                                                    	
//	 Description: This file contains the prototypes for the _GetIEVersion and
//                _GetIEVErsionName functions
//
// Last revision: June 2, 1999
//
//     Copyright: (c) 1999 by Dipl.-Ing. Stefan Krueger <skrueger@installsite.org>
//                You have the non-exclusive royalty-free right to use this code
//                in your setup prgram. You are not allowed to sell, publish or
//                redistribute this code in any form except as compiled part of
//                your setup program.
//
//       Updates: June 2, 1999 by Chris Dufour:
//		          - modified the prototype for _GetIEVersion
//				  June 18, 1999 by Chris Dufour:
//				  - created #define statements
//				  - created prototype for _InstallIE
//				  - created prototype for _VerifyIEInstalled
//				  - created prototype for _GetIEVersionNameX
//
//===========================================================================

#ifndef _IE_H_
#define _IE_H_

//  Internet Explorer Function General Definitions:
#define IE_DEFAULT_RUN_MSG			"Setup needs to install %s. This may require a system reboot. Would you like to intall it now?\n\nSelecting NO will exit setup."
#define	IE_DEFAULT_INSTALL_MSG		"Setup is installing %s..."
#define IE_DEFAULT_REQUIRED_MSG		"Setup can't continue - %s required!"
#define IE_DEFAULT_FOUND_MSG		"Found... %s"

//  _InstallIE() or _VerifyIEInstalled() Return Value Definitions
#define	IE_FAIL						-8000	
#define	IE_EXE_TRANSFER_FAIL		-8001
#define	IE_INSTALL_STARTED			-8002
#define	IE_SUCCESS					0
	
//  _InstallIE() Error Definitions:
#define	IE_EXE_TRANSFER_FAIL_STR	"Unable to transfer Internet Explorer EXE to system. Internet Explorer setup cannot procede."
#define	IE_FAIL_STR					"Internet Explorer setup failed to execute properly."

prototype _GetIEVersion(BYREF NUMBER, BYREF NUMBER, BYREF NUMBER, BYREF NUMBER, BYREF NUMBER, BYREF STRING);
prototype _GetIEVersionName(NUMBER, NUMBER, NUMBER, NUMBER, BYREF STRING);
prototype _InstallIE( STRING, STRING, STRING, STRING, STRING, STRING, BOOL, STRING, STRING );
prototype _VerifyIEInstalled( BOOL, STRING, STRING, STRING );
prototype _GetIEVersionNameX( STRING, STRING, BYREF STRING );

#endif


