//===========================================================================
//
//  IIIIIII SSSSSS
//    II    SS                          InstallShield (R)
//    II    SSSSSS      (c) 1996-1999, InstallShield Software Corporation
//    II        SS      (c) 1990-1996, InstallShield Corporation
//  IIIIIII SSSSSS                     All Rights Reserved.
//
//     File Name: IsUtil.rul	                                             	
//                                                                       	
//   Description: This file contains the header information for the			
//			      script-based general utility functions.
//
//       Changes: 12 March, 1999:
//                   Added REBOOT_SETUP_RUN_KEY define for use in
//                   ISUtilSetupForReboot and ISUtilDeleteRunKeyEntry.
//
//                   Added ISUtilDeleteRunKeyEntry.
//
//                21 April, 1999
//                   Added new functions ISUtilDeselectAllComponents and
//                   ISUtilRestoreComponentSelections.
//
//	 	 Updated: 21 April, 1999
//
//===========================================================================

#ifndef _ISUTIL_H_
#define _ISUTIL_H_

// Defines
#define		REBOOT_SETUP_SUCCESS		0
#define		REBOOT_SETUP_NOFILE			-9008
#define		REBOOT_SETUP_ERR			-9007
#define		REBOOT_DELETE_KEY			"InstallShieldDelOnReboot"

#define		REBOOT_SETUP_RUNONCE_KEY	"Software\\Microsoft\\Windows\\CurrentVersion\\RunOnce"
// We're now using Run key instead for reboot. It allows MDAC and other stuff to do their
// thing (via RunOnce key) before setup restarts. The trick is to delete our Run key entry
// upon restart, because Windows doesn't delete it for us like a RunOnce key entry.
#define		REBOOT_SETUP_RUN_KEY		"Software\\Microsoft\\Windows\\CurrentVersion\\Run"

// Global Variables
string	ISUTIL_SCRIPT_FILE;
int		ISUTIL_LINE_NUMBER;
int		ISUTIL_FUNCTION_ACTUAL_ERROR;

// Function Prototypes
prototype ISUtilSetErrInfo ( STRING, INT, INT );
prototype ISUtilGetErrInfo ( BYREF STRING, BYREF INT , BYREF INT );
prototype ISUtilCompVerStrings(STRING, STRING, STRING);
prototype ISUtilSetupForReboot( STRING );
prototype ISUtilInstallSingleComponent(STRING, STRING, STRING);
prototype ISUtilDeleteRunKeyEntry ( );
prototype ISUtilDeselectAllComponents(STRING, LIST);
prototype ISUtilRestoreComponentSelections(STRING, LIST, LIST);

#endif